Subject: T Cell, Cytokine Positions @ Genetics Institute, MA

From: [email-masked] (joe mostika)
Date: Tue, 25 Jan 1994 23:19:26 GMT

Genetics Institute in Cambridge, MA is seeking PhD and BS level Scientists
with 2-5 years exp. in T Cell function studies, including T Cell 
activation, proliferation, lymphokine production and cytolytic activity,
to work in a novel cytokine discovery program.  PhD needs 3-4 years 
postdoctoral training (industry exp. helpful).  FAX CVs to (508) 359 3614.
Attention: Joe Mostika.

Joe Mostika
Genetics Institute

(617) 498 8890